For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETRetrieve a monitor for a business
        • POSTCreate a monitor for a business
        • PUTUpdate a monitor for a business
        • DELDelete a monitor for a business
        • POSTBulk disable monitors
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationMonitoring

Bulk disable monitors

POST
https://api.middesk.com/v1/monitoring/bulk_disable
POST
/v1/monitoring/bulk_disable
$curl -X POST https://api.middesk.com/v1/monitoring/bulk_disable \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "monitor_types": [
> "bankruptcy",
> "tin"
> ],
> "notification_email": "[email protected]"
>}'

Disables monitors for all businesses in the account. This operation is processed asynchronously. When monitor_types is omitted, all monitor types allowed for the account are disabled.

Was this page helpful?
Previous

List liens for a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
monitor_typeslist of enumsOptional
Array of monitor types to disable. Defaults to all types allowed for the account.
notification_emailstringOptional
Email address to notify when bulk disable operation completes